<template>
  <v-card class="mx-auto custom-menu" width="300">
    <v-list v-model:opened="open">
      <v-list-item class="menu-item" to="/">EsGate</v-list-item>
      <v-list-group class="menu-item" style="padding-left: 15px !important;" value="Users">
        <template v-slot:activator="{ props }">
          <v-list-item v-bind="props">Kullanıcı İşlemleri</v-list-item>
        </template>
        <v-list-item class="menu-item-child" to="/user">Kullanıcı Listele</v-list-item>
        <v-list-item class="menu-item-child" to="/user/role">Yetki İşlemleri</v-list-item>
        <v-list-item class="menu-item-child" to="/user/permission">İzin İşlemleri</v-list-item>
      </v-list-group>
      <v-list-item class="menu-item" to="/log">Log İşlemleri</v-list-item>
      <v-list-item class="menu-item" to="/reasuror">Reasüror Cari İşlemleri</v-list-item>
      <v-list-item class="menu-item" to="/reference">Referans İşlemleri</v-list-item>
      <v-list-item class="menu-item" to="/trete">Trete İşlemleri</v-list-item>
      <v-list-item class="menu-item" to="/repository">Depo İşlemleri</v-list-item>
    </v-list>
  </v-card>
</template>

<script>
import { ref } from 'vue';

export default {
  name: 'NavigationDrawerMenu',
  setup() {
    const open = ref(['User']);
    return {
      open
    }
  }
};
</script>

<style scoped>
.custom-menu {
  font-family: Calibri;
  display: contents;
}

.custom-menu .v-list {
  overflow: auto;
  padding: 0 0 !important;
}

.custom-menu .v-list-item--density-default.v-list-item--one-line {
  min-height: unset !important;
  height: 40px !important;
  padding-top: 4px;
  padding-bottom: 4px;
}

.menu-item {
  padding-left: 30px !important;
  background: #F9F9F9;
  border: 1px solid #E8E8E8;
  margin-bottom: 6px;
  background-color: #F9F9F9;
  color: #00468a;
  font-weight: 600;
  font-size: 16px;
  font-family: unset;
}

.menu-item-child {
  padding-left: 43px;
  color: #5A5A5A;
  font-size: 14px;
  font-family: unset;
}
</style>
